Subject: Re: bug#4368: 23.1; diff-hunk-kill -vs- final hunk in a file

From: Tom Tromey <[email-masked]>
Date: Tue, 08 Sep 2009 20:27:41 -0600

Stefan> Can you show the content before the last M-k ?

The appended is a sample diff.  I just grabbed a couple random hunks
from the actual diff I was editing.  It was originally made by git.

Put it in a file, then M-x diff-mode.
M-n to go to the first @@.
M-k.

You will see that all the header info from lisp.h remains in the buffer.

I don't think you even need the second file diff in there to see this, a
single file will do.

Tom

diff --git a/src/lisp.h b/src/lisp.h
index 4807794..c619bcf 100644
--- a/src/lisp.h
+++ b/src/lisp.h
@@ -1545,6 +1519,7 @@ typedef struct {
 #define SUB_CHAR_TABLE_P(x) PSEUDOVECTORP (x, PVEC_SUB_CHAR_TABLE)
 #define BOOL_VECTOR_P(x) PSEUDOVECTORP (x, PVEC_BOOL_VECTOR)
 #define FRAMEP(x) PSEUDOVECTORP (x, PVEC_FRAME)
+#define THREADP(x) PSEUDOVECTORP (x, PVEC_THREAD)
 
 /* Test for image (image . spec)  */
 #define IMAGEP(x) (CONSP (x) && EQ (XCAR (x), Qimage))
diff --git a/src/window.c b/src/window.c
index 1b2305d..283dcff 100644
--- a/src/window.c
+++ b/src/window.c
@@ -5898,7 +5898,7 @@ struct save_window_data
     struct Lisp_Vector *next_from_Lisp_Vector_struct;
     Lisp_Object selected_frame;
     Lisp_Object current_window;
-    Lisp_Object current_buffer;
+    Lisp_Object m_current_buffer;
     Lisp_Object minibuf_scroll_window;
     Lisp_Object minibuf_selected_window;
     Lisp_Object root_window;